Rebar By Curve

Hello Everyone
Here I am trying to model simple stirrup reinforcement on the rectangular beam family
my idea is to take the rebar curve by offsetting the beam geometry first the algorithm chooses the starting face of the stirrup by taking the minimum area to filter other faces
and by some geometry stuff, I got the Stirrup curve But the rebar by curve tool does not accept my curve
to start my dynamo file you need only one option just select rectangle beam in your Revit project file (and the beam length should have more than 2 meters just so it works properly)

Regards

Hi @jafaartdx5,

What is the error that your last node is throwing out?

Hi @callbowen

Thank you for your response

the error says when my curve is one curve
Warning: Rebar.ByCurve operation failed.
To BSPline Not Implemented

But the error says when I convert it to poly curve

Warning: Rebar.ByCurve operation failed.
Method not found: ‘System.Collections.Generic.IList`1<Autodesk.Revit.DB.Curve> Autodesk.Revit.DB.Structure.Rebar.ComputeDrivingCurves()’.

Regards

@jafaartdx5

I’m no expert, but two thoughts came to my mind when I saw this.

A) If you are making a polycurve out of several lines,does it matter what order they are in when you join them to make a polycurve? I know there are ways to sort the lines by going clockwise or counter-clockwise so that the end of one line and the beginning of the next line are touching each other.

B) Would it be helpful to convert your curves into NURBS curves with a degree of 1? That way they are still straight lines, but are also just one line?

https://primer.dynamobim.org/05_Geometry-for-Computational-Design/5-4_curves.html